libflorist (2022.0.1~20220616-6build1) oracular; urgency=medium

  * No-change rebuild for gnat-13 13.2.0-25

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 07 Jun 2024 14:35:21 -0600

libflorist (2022.0.1~20220616-6) unstable; urgency=medium

  * Standards-Version 4.7.0 (no changes).
  * Let libflorist-dev depend on libnsl-dev.  Closes: #1067945.
  * Improve clean target.
  * Tolerate distinct suseconds_t and timeval.tv_usec.  Closes: #1067223.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 03 May 2024 12:26:59 +0000

libflorist (2022.0.1~20220616-5) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:19:42 +0100

libflorist (2022.0.1~20220616-4) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Use explicit debian/PACKAGE.docs files and test
    dependencies now that the -dev package is unversioned.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Jan 2024 00:16:59 +0000

libflorist (2022.0.1~20220616-3) unstable; urgency=medium

  * Break/Replace libflorist*-dev since oldstable. Closes: #1035006 .

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 22:44:10 +0200

libflorist (2022.0.1~20220616-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:07:57 +0100

libflorist (2022.0.1~20220616-1) experimental; urgency=medium

  * Build new snapshot with gcc/12 for experimental.
    Rename -dev package accordingly.
  * Install with gprinstall and dh-ada-librar/8.1.
  * Stop build-depending on unversioned gnat.
  * Standards-Versions 4.6.1.
  * Refresh patches and forward changes

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 12 Sep 2022 08:51:35 +0000

libflorist (2022.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:59:50 +0200

libflorist (2022.0.0-1) experimental; urgency=medium

  * Build new upstream release with gcc-11 for experimental.
    Rename lib and -dev packages accordingly.
  * Standards-Version: 4.6.0.
  * Add Homepage, Upstream-Contact, upstream metadata, watch file.
  * copyright: update, merge stanzas with the same license.
  * Split patches and forward them.
  * Use unversioned debian_packaging.mk from gnat package.
  * Remove -gnatwa redundant option from debian/rules.
  * compiler_options.patch: sort modified files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Nov 2021 09:32:56 +0000

libflorist (2017-9) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.
  * Prefer gnatgcc (for Ada) to CC (for C).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 13:09:57 +0100

libflorist (2017-8) experimental; urgency=medium

  * Build with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13.
  * Drop obsolete Pre-Depends.
  * Pass build flags via the environment.
  * Drop --as-needed which is now enabled by default.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 12 Jun 2020 19:32:16 +0000

libflorist (2017-7) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Debhelper 12 dh-sequence syntax.
  * Standards-Version: 4.5.0.
  * Drop obsolete branch in Vcs-Git.
  * Select specific dpkg-dev Makefile snippet.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 11:41:02 +0100

libflorist (2017-6) experimental; urgency=medium

  * Rebuild with gnat-9 in experimental. Rebuild both packages per Ada policy.
  * Make explicit that the package is orphaned upstream.
  * Move the packaging history to salsa.debian.org.
  * Standards-Version 4.4.0. Rules-Requires-Root: no.
  * Debhelper 12.
  * dh-ada-library ignores soversion, use a separate configuration file
  * gprbuild now handles default.cgpr by itself.
  * Let dh_auto_build select options like -j for Make.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 21 Jul 2019 00:44:17 +0200

libflorist (2017-5) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:54 +0200

libflorist (2017-4) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev package per Debian Ada policy.
    Patch handling function renamings.
  * Remove watch file. Explain why in README.source.
  * Debhelper 11.
  * Drop obsolete version restriction for dpkg-dev.
  * Standards-Version: 4.1.4.
  * Update Vcs-Mtn and Homepage.
  * Remove trailing white spaces in this changelog.
  * Let run time tests produce more debug information.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 14:59:04 +0200

libflorist (2017-3) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 19:00:56 +0200

libflorist (2017-2) experimental; urgency=medium

  * Let gprbuild (>= 2017) ignore Library_Options for static linking.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 23 Jul 2017 18:15:49 +0200

libflorist (2017-1) experimental; urgency=medium

  * Built with gnat-7, which deals with SOURCE_DATE_EPOCH by itself.
    Rename runtime and -dev package per Ada policy.
  * New upstream release, almost unchanged.
  * Debhelper 10, which dealss with autoconf by itself.
    Disable autoheader.
  * Standards-Version 4.0.0.  HTTPS copyright format URL.
  * Enable all hardening flags.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 12 Jul 2017 13:19:37 +0200

libflorist (2016-1) unstable; urgency=medium

  * New upstream release built with gnat-6. Per Ada policy,
    rename lib and -dev packages and drop obsolete Conflict/Replace.
  * Licence change from GPL-2+ to GPL-3+.
  * As gnatmake drops support for projects, gprbuild is required.
    Divergence from upstream build system can be reduced.
  * Switch from manual -dbg packages to automatic -dbgsym.
  * watch file using Adacore redirector.
  * Enable all hardening flags but PIE.
  * Standards-Version: 3.9.8 (no changes).
  * Drop XS-Testsuite: autopkgtest, now set automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Jul 2016 16:30:49 +0200

libflorist (2014-2) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 17:59:46 +0200

libflorist (2014-1) unstable; urgency=medium

  * New upstream release. Per Ada policy, library and -dev packages are
    renamed, -dev Breaks and Replaces previous -dev built with same compiler.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 05 Oct 2014 11:22:55 +0200

libflorist (2013-1) unstable; urgency=medium

  * New upstream release, compiled with gnat-4.9.
    Library and -dev package renamed per Ada policy.
  * Recreate ./configure before building.
  * Switch to dh-ada-library (>= 6.1). Build shared lib with same project.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 02 May 2014 15:51:37 +0200

libflorist (2011-2) unstable; urgency=medium

  * Add myself to uploaders.
  * control: remove obsolete Depends: ada-compiler. Closes: #743785.
  * Pass hardening flags to build system.
  * Actually embed the sources.
  * Switch to debhelper 9.
  * florist.gpr: generated to make the lib package multiarch: same.
  * copyright: machine readable format 1.0.
  * README.Debian: reference Ada policy.
  * patches: documented, refreshed.
  * control: VCS-*, Homepage, Standards-Version 3.9.5.
  * source/options: compress Debian diff with dpkg-dev default (xz).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 14 Apr 2014 01:46:01 +0200

libflorist (2011-1) unstable; urgency=low

  * New upstream version.
  * Package renamings due to Debian Ada Policy:
    libflorist2009-dev -> libflorist2011-dev
    libflorist2009     -> libflorist2011
  * debian/source/format: new, 3.0 (quilt).
  * debian/source/options, debian/source/local-options: new.
  * debian/control (Build-Depends): Migrate to gnat-4.6 (Closes: #642641).
    Remove quilt.
    (Architecture): any.
    (Conflicts, Replaces): remove, unnecessary.
    (Standards-Version): 3.9.2 with no changes required.
  * Comply with the multilib specification.
  * debian/compat: move to 8.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 13 Oct 2011 22:22:06 +0200

libflorist (2009-3) unstable; urgency=low

  * debian/control (Architecture): add armel.  Closes: #568440.
    (*-dbg): suggest gnat, ada-compiler for visibility.
    (*-dev): also depend on ada-compiler.
    (Standards-Version): update to 3.8.4 with no changes required.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  8 Jun 2010 20:27:58 +0200

libflorist (2009-2) unstable; urgency=low

  * debian/rules (clean): call make distclean only if Makefile exists.
    Closes: #560746.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Dec 2009 10:18:26 +0100

libflorist (2009-1) unstable; urgency=low

  * New upstream version form GNAT GPL 2009 Edition.
  * debian/control (Build-Depends): switch to gnat-4.4.
    (Architectures): remove alpha due to http://gcc.gnu.org/PR42073;
    add kfreebsd-amd64.  Closes: #542418.
    (Depends): add ${misc:Depends} everywhere.
    (Standards-Version): bump to 3.8.3 with no changes required.
  * Package renamings per Debian Policy for Ada:
    libflorist-dev -> libflorist2009-dev (with Conflicts: and Replaces:)
    libflorist2008 -> libflorist2009
  * debian/control (libflorist2009-dbg): move to section debug.
  * debian/compat: bump from 5 to 7.
  * debian/rules: extract aliversion and soversion from debian/control.
    Link the shared library against libpthread. Closes: #558886.
  * debian/patches/compiler_options.patch: remove -fstack-check, it
    produces binary code that easily segfaults in gnat-4.4 on x86.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  5 Dec 2009 14:20:21 +0100

libflorist (2008-2) unstable; urgency=low

  * debian/florist.gpr (Library_Name): correct the soname.
    (Externally_Built): new.
  * debian/rules (build-stamp): link libflorist.so.* against libgnarl
    and librt (which comes from libc6-dev).
  * Addresses https://bugs.launchpad.net/bugs/316595.  Thanks to David
    Sauvage for reporting.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 15 Jan 2009 09:02:47 +0100

libflorist (2008-1) unstable; urgency=low

  * New upstream version.
  * Restore support for GNU/kFreeBSD and, possibly, GNU/HURD as well.
    Thanks to Cyril Brulebois for the patch.  Closes: #415084.
    - debian/control (Build-Depends): add quilt.
    - debian/patches/series, debian/patches/kfreebsd.patch: new.
    - debian/rules: use quilt to apply and revert the above patches.
  * debian/control:
    (Standards-Version): update to 3.8.0.
    (Build-Depends): Migrate to gnat-4.3.
    (Architecture): add mips, mipsel and ppc64.  Closes: #479075
    (libflorist2006): rename to libflorist2008 and bump the soname.
    (libflorist-dbg): new.
  * debian/florist.gpr: turn into a library project file.
  * debian/rules: provide all files, not just Ada files, in the -dev
    package, so users can use gdb into the library in case of need.
    Use all processors available when building.
  * debian/patches/compiler_options.patch: compile with all optional
    run-time checks enabled, and debugging options.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 20 Jul 2008 18:03:14 +0200

libflorist (2006-1) unstable; urgency=low

  * debian/control (Maintainer): update email address, I'm now a full DD.
    (Build-Depends): update to gnat (>= 4.1).
    (Standards-Version): update to 3.7.2 with no changes required.
    (Architecture): add alpha, amd64, hppa, ia64, kfreebsd-i386 and s390.
    (libflorist-3.15p-1-dev): rename to libflorist-dev, with Conflict and
    Replace.  Depend on gnat-4.1.
    (libflorist-3.15p-1): rename to libflorist2006.
  * debian/control: soname bump to libflorist.so.2006.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 21 Sep 2006 18:49:32 +0200

libflorist-3.15p-1 (3.15p-5) unstable; urgency=low

  * debian/control: Change maintainer's email address.  Bump
    standards-version to 3.6.2 (from 3.6.1.1) with no changes.
  * debian/rules (regexp): accept any character as the Debian upload
    number.  Closes: #359891.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Sat,  1 Apr 2006 12:36:36 +0200

libflorist-3.15p-1 (3.15p-4) unstable; urgency=low

  * Added a GNAT project file.  Closes: #266694.
  * Recompiled because s-osinte.ads has been modified in gnat.
    Closes: #266700.
  * debian/rules: accept dots in Debian revision numbers in case of NMU.
  * debian/libflorist-3.15p-1-dev.postinst: Remove.  Do not chmod the
    *.ali files anymore.  Newer versions of dh_fixperms does that for us.
  * debian/control: Build-Depend on debhelper (>= 4.2.13).
  * debian/control: Update Standards-Version to 3.6.1.1.
  * debian/copyright: Mention /usr/share/common-licenses/GPL.
    Closes: #266697.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Wed, 18 Aug 2004 20:03:40 +0200

libflorist-3.15p-1 (3.15p-3) unstable; urgency=low

  * Work around a compilation problem caused by libc6-dev 2.3.2.ds1-10 in
  Sid (no problem in Sarge with libc6-dev 2.3.2-9).

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 11 Nov 2003 18:04:34 +0100

libflorist-3.15p-1 (3.15p-2) unstable; urgency=low

  * Rebuild the static library without -fPIC, and the shared library with
  it.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 19 Aug 2003 13:45:07 +0200

libflorist-3.15p-1 (3.15p-1) unstable; urgency=low

  * Initial Release.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Mon, 18 Aug 2003 10:03:11 +0200
